View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013425ParaView(No Category)public2012-09-05 11:072013-01-08 21:50
ReporterKen Moreland 
Assigned ToSebastien Jourdain 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target VersionFixed in Version 
Summary0013425: Bad camera manipulation when only showing text source
DescriptionIf you create a text source in a 3D view without anything else visible, you get a confusing warning pointless warning message. To replicate, do the following:

1. Start a fresh instance of ParaView.
2. Create a Text source.
3. Apply.

At this point you will get a warning message like this:

Warning: In /Users/kmorel/src/ParaView/VTK/Rendering/Core/vtkRenderer.cxx, line 1035
vtkOpenGLRenderer (0x11b6f2a10): Resetting view-up since view plane normal is parallel

The camera also gets set to some strange interaction mode.
TagsNo tags attached.
ProjectSandia
Topic Name
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029747)
Sebastien Jourdain (manager)
2012-11-19 15:28

Doesn't seems to be an issue with 3.98.x

The only thing that may still be true, is the fact that the window switch to 2D mode with a 3D Text as it is a flat dataset but you can still switch to 3D if you want to.
(0029748)
Sebastien Jourdain (manager)
2012-11-19 15:28

No code change - Just need to be in customer review
(0029755)
Kyle Lutz (viewer)
2012-11-20 12:16

Merged into ParaView-master (if applicable)
(0030030)
Alan Scott (manager)
2013-01-08 21:50

I'm pretty sure this is working correctly. I followed Ken's good directions below. Window stayed in 3d mode. No warning messages.

Please reopen if it is still an issue.

- Issue History
Date Modified Username Field Change
2012-09-05 11:07 Ken Moreland New Issue
2012-10-09 09:26 Sebastien Jourdain Assigned To => Sebastien Jourdain
2012-11-19 15:28 Sebastien Jourdain Note Added: 0029747
2012-11-19 15:28 Sebastien Jourdain Note Added: 0029748
2012-11-19 15:28 Sebastien Jourdain Status backlog => gatekeeper review
2012-11-19 15:28 Sebastien Jourdain Resolution open => fixed
2012-11-20 12:16 Kyle Lutz Status gatekeeper review => customer review
2012-11-20 12:16 Kyle Lutz Note Added: 0029755
2013-01-08 21:21 Alan Scott Project TBD => Sandia
2013-01-08 21:50 Alan Scott Note Added: 0030030
2013-01-08 21:50 Alan Scott Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker